Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters
Class LabelMarginRightAdapter

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.specialformats.AbstractLabelAdapter
          info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters.AbstractLabelDistanceAdapter
              info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters.LabelMarginRightAdapter

All Implemented Interfaces:
  DistanceAdapter

    public class LabelMarginRightAdapter

extends AbstractLabelDistanceAdapter
implements DistanceAdapter

Since:
  2.0.25
Author:
  Ben Stöver

Constructor Summary
`LabelMarginRightAdapter(String id)`

Method Summary
`protected DistanceValue` | `getDistanceValue(LabelFormats formats)`
`String` | `toString()`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters.AbstractLabelDistanceAdapter
`getDistance, setDistance`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.specialformats.AbstractLabelAdapter
`getID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters.DistanceAdapter
`getDistance, setDistance`

Constructor Detail

### LabelMarginRightAdapter

    public LabelMarginRightAdapter(String id)

Method Detail

### getDistanceValue

    protected DistanceValue getDistanceValue(LabelFormats formats)

  Specified by:
    `getDistanceValue` in class `AbstractLabelDistanceAdapter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD